Skip to content

Create Video Precheck Task

POST
/affiliate_creator/202511/videos/precheck_task

Use this API to create a task that checks a video and its shoppable content anchor for violations. If the task is created successfully, the response returns a task ID.

Media typeapplication/json
object
video_info
required

Video information

object
file_id
required

Video file_id from Upload Shoppable Video File

string
product_link_info
required

Product link information

object
product_id
required

Use product_id to bind the product with the video. The product_id from Get Shop Products or Get Showcase Products

string
title
required

The title to be shown on the product anchor. Anchor title should be shorter than 30 characters. Titles may be rejected for punctuation, emoji, or offensive language.

string
<= 29 characters
Example
{
"video_info": {
"file_id": "v12d00gd0024d3nfqr7og65"
},
"product_link_info": {
"product_id": "17294069642063424",
"title": "Sample product anchor title"
}
}

Success

Media typeapplication/json
object
code

Status code; 0 means success.

integer format: int64
message

Success or failure message.

string
request_id

Request log ID.

string
data
object
precheck

Information about the created video content pre-check task.

object
task_id

The ID of the created video pre-check task. Pass this value as the task_id path parameter to GET /affiliate_creator/202511/videos/precheck_tasks/{task_id} to retrieve the result.

string
Example
{
"code": 0,
"data": {
"precheck": {
"task_id": "1123123123"
}
},
"message": "Success",
"request_id": "202203070749000101890810281E8C70B7"
}